Subject: Re: bug#34776: Acknowledgement (27.0.50; Some questions about choose-completion-string-functions)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Apr 2019 10:01:04 +0300

On April 10, 2019 9:35:47 AM GMT+03:00, Eric Abrahamsen <[email-masked]> wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
> > On April 10, 2019 6:29:10 AM GMT+03:00, Glenn Morris <[email-masked]>
> wrote:
> >> 
> >> > And it can go to emacs-26 since it's a doc fix.
> >> 
> >> The RC said Emacs 26.2 was to be released March 27...
> >> Part of making a release is for people to stop changing that
> branch.
> >
> > Unfortunately, that ship has sailed, since within an hour of RC
> > release a new commit was pushed to the release branch, and another
> one
> > a week later, without asking. So now the RC tarball will not be able
> > to be renamed anyway, and the rationale for withholding doc changes
> is
> > null and void.
> >
> > "Best laid plans" and all that.
> 
> This sounds like a job for a git hook. I pay fairly close attention to
> emacs.devel for someone who isn't an Emacs dev, and apparently I
> missed
> this billboard.

Not sure which billboard jou think you missed, but in general, I don't see here any problem for which a commit hook would be a good solution.  The existing hooks are already annoying enough, and are too easy to bypass to be reliable.